<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2024 Workiva-->
<!--r:03a55eb1-d401-425b-8360-aa4efe9a1d15,g:cd206c3f-6893-484f-b90a-349307a6ebeb-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_stm_PaymentForPurchaseOfMarketableSecurities_label_en" xlink:label="lab_stm_PaymentForPurchaseOfMarketableSecurities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Payment For Purchase Of Marketable Securities</link:label>
    <link:label id="lab_stm_PaymentForPurchaseOfMarketableSecurities_documentation_en" xlink:label="lab_stm_PaymentForPurchaseOfMarketableSecurities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Payment For Purchase Of Marketable Securities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_stm_PaymentForPurchaseOfMarketableSecurities" xlink:href="stm-2023-12-31.xsd#stm_PaymentForPurchaseOfMarketableSecurities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_stm_PaymentForPurchaseOfMarketableSecurities" xlink:to="lab_stm_PaymentForPurchaseOfMarketableSecurities" xlink:type="arc" order="1"/>
    <link:label id="lab_stm_ImpairmentRestructuringChargesAndOtherRelatedClosureCostsNetOfCashPayment_label_en" xlink:label="lab_stm_ImpairmentRestructuringChargesAndOtherRelatedClosureCostsNetOfCashPayment" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Impairment Restructuring Charges And Other Related Closure Costs Net Of Cash Payment</link:label>
    <link:label id="lab_stm_ImpairmentRestructuringChargesAndOtherRelatedClosureCostsNetOfCashPayment_documentation_en" xlink:label="lab_stm_ImpairmentRestructuringChargesAndOtherRelatedClosureCostsNetOfCashPayment" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Impairment Restructuring Charges And Other Related Closure Costs Net Of Cash Payment</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_stm_ImpairmentRestructuringChargesAndOtherRelatedClosureCostsNetOfCashPayment" xlink:href="stm-2023-12-31.xsd#stm_ImpairmentRestructuringChargesAndOtherRelatedClosureCostsNetOfCashPayment"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_stm_ImpairmentRestructuringChargesAndOtherRelatedClosureCostsNetOfCashPayment" xlink:to="lab_stm_ImpairmentRestructuringChargesAndOtherRelatedClosureCostsNetOfCashPayment" xlink:type="arc" order="1"/>
    <link:label id="lab_stm_Sales_label_en" xlink:label="lab_stm_Sales" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Sales</link:label>
    <link:label id="lab_stm_Sales_documentation_en" xlink:label="lab_stm_Sales" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Sales</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_stm_Sales" xlink:href="stm-2023-12-31.xsd#stm_Sales"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_stm_Sales" xlink:to="lab_stm_Sales" xlink:type="arc" order="1"/>
    <link:label id="lab_stm_ProceedsFromContributedCapital_label_en" xlink:label="lab_stm_ProceedsFromContributedCapital" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds From Contributed Capital</link:label>
    <link:label id="lab_stm_ProceedsFromContributedCapital_documentation_en" xlink:label="lab_stm_ProceedsFromContributedCapital" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Proceeds From Contributed Capital</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_stm_ProceedsFromContributedCapital" xlink:href="stm-2023-12-31.xsd#stm_ProceedsFromContributedCapital"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_stm_ProceedsFromContributedCapital" xlink:to="lab_stm_ProceedsFromContributedCapital" xlink:type="arc" order="1"/>
    <link:label id="lab_stm_PropertyPlantAndEquipmentIncludingRightOfUseAssets_label_en" xlink:label="lab_stm_PropertyPlantAndEquipmentIncludingRightOfUseAssets" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Property Plant And Equipment Including Right Of Use Assets</link:label>
    <link:label id="lab_stm_PropertyPlantAndEquipmentIncludingRightOfUseAssets_documentation_en" xlink:label="lab_stm_PropertyPlantAndEquipmentIncludingRightOfUseAssets" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Property Plant And Equipment Including Right Of Use Assets</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_stm_PropertyPlantAndEquipmentIncludingRightOfUseAssets" xlink:href="stm-2023-12-31.xsd#stm_PropertyPlantAndEquipmentIncludingRightOfUseAssets"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_stm_PropertyPlantAndEquipmentIncludingRightOfUseAssets" xlink:to="lab_stm_PropertyPlantAndEquipmentIncludingRightOfUseAssets" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_b5d391b2-eaf4-4b34-be04-b92f181f1407_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash flows from (used in) operating activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_stm_TransferOfCashFlowHedgeReserveToInventories_label_en" xlink:label="lab_stm_TransferOfCashFlowHedgeReserveToInventories" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Transfer Of Cash Flow Hedge Reserve To Inventories</link:label>
    <link:label id="lab_stm_TransferOfCashFlowHedgeReserveToInventories_documentation_en" xlink:label="lab_stm_TransferOfCashFlowHedgeReserveToInventories" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Transfer Of Cash Flow Hedge Reserve To Inventories</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_stm_TransferOfCashFlowHedgeReserveToInventories" xlink:href="stm-2023-12-31.xsd#stm_TransferOfCashFlowHedgeReserveToInventories"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_stm_TransferOfCashFlowHedgeReserveToInventories" xlink:to="lab_stm_TransferOfCashFlowHedgeReserveToInventories" xlink:type="arc" order="1"/>
    <link:label id="lab_stm_PaymentForPurchaseOfFinancialAssets_label_en" xlink:label="lab_stm_PaymentForPurchaseOfFinancialAssets" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Payment For Purchase Of Financial Assets</link:label>
    <link:label id="lab_stm_PaymentForPurchaseOfFinancialAssets_documentation_en" xlink:label="lab_stm_PaymentForPurchaseOfFinancialAssets" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Payment For Purchase Of Financial Assets</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_stm_PaymentForPurchaseOfFinancialAssets" xlink:href="stm-2023-12-31.xsd#stm_PaymentForPurchaseOfFinancialAssets"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_stm_PaymentForPurchaseOfFinancialAssets" xlink:to="lab_stm_PaymentForPurchaseOfFinancialAssets" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_77f1c2ea-f229-4e57-8e83-678de895362b_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash flows from (used in) financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_GrossProfit_2661357d-879c-4cde-8990-29c06b12770d_totalLabel_en" xlink:label="lab_ifrs-full_GrossProfit" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Gross profit</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GrossProfit" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GrossProfit"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_GrossProfit" xlink:to="lab_ifrs-full_GrossProfit" xlink:type="arc" order="1"/>
    <link:label id="lab_stm_ProceedsFromMaturedMarketableSecurities_label_en" xlink:label="lab_stm_ProceedsFromMaturedMarketableSecurities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds From Matured Marketable Securities</link:label>
    <link:label id="lab_stm_ProceedsFromMaturedMarketableSecurities_documentation_en" xlink:label="lab_stm_ProceedsFromMaturedMarketableSecurities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Proceeds From Matured Marketable Securities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_stm_ProceedsFromMaturedMarketableSecurities" xlink:href="stm-2023-12-31.xsd#stm_ProceedsFromMaturedMarketableSecurities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_stm_ProceedsFromMaturedMarketableSecurities" xlink:to="lab_stm_ProceedsFromMaturedMarketableSecurities" xlink:type="arc" order="1"/>
    <link:label id="lab_stm_MovementOfOtherAssetsAndLiabilitiesNet_label_en" xlink:label="lab_stm_MovementOfOtherAssetsAndLiabilitiesNet" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Movement Of Other Assets And Liabilities Net</link:label>
    <link:label id="lab_stm_MovementOfOtherAssetsAndLiabilitiesNet_documentation_en" xlink:label="lab_stm_MovementOfOtherAssetsAndLiabilitiesNet" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Movement Of Other Assets And Liabilities Net</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_stm_MovementOfOtherAssetsAndLiabilitiesNet" xlink:href="stm-2023-12-31.xsd#stm_MovementOfOtherAssetsAndLiabilitiesNet"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_stm_MovementOfOtherAssetsAndLiabilitiesNet" xlink:to="lab_stm_MovementOfOtherAssetsAndLiabilitiesNet" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_40f4641a-617d-4e52-aab8-4fc5fcf2a207_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash flows from (used in) investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_stm_ProceedsFromCapitalGrantsAndOtherContributions_label_en" xlink:label="lab_stm_ProceedsFromCapitalGrantsAndOtherContributions" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds From Capital Grants And Other Contributions</link:label>
    <link:label id="lab_stm_ProceedsFromCapitalGrantsAndOtherContributions_documentation_en" xlink:label="lab_stm_ProceedsFromCapitalGrantsAndOtherContributions" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Proceeds From Capital Grants And Other Contributions</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_stm_ProceedsFromCapitalGrantsAndOtherContributions" xlink:href="stm-2023-12-31.xsd#stm_ProceedsFromCapitalGrantsAndOtherContributions"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_stm_ProceedsFromCapitalGrantsAndOtherContributions" xlink:to="lab_stm_ProceedsFromCapitalGrantsAndOtherContributions" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_b962c781-d102-4167-a3af-95552d2b041c_totalLabel_en" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Increase (decrease) in cash and cash equivalents after effect of exchange rate changes</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
